LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPagePrintable Interface Referencepublished

Print several pages on one printer page. More...

`import"XPagePrintable.idl";`

Inheritance diagram for XPagePrintable:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | getPagePrintSettings ()
void | setPagePrintSettings ([in] sequence< com::sun::star::beans::PropertyValue > aSettings)
| adjusts the settings of the page printing. More...
void | printPages ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the pages according to the PagePrintSettings. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Print several pages on one printer page.

Developers Guide
  Text Documents - Printing Text Documents - Printing Multiple Pages on one Page

## Member Function Documentation

## ◆ getPagePrintSettings()

sequence< com::sun::star::beans::PropertyValue > getPagePrintSettings | ( |  | ) |

Returns
  the settings of printing of pages.

These settings contains:

- short PageRows - number of rows of pages printed to one page

- short PageColumns - number of columns of pages printed to one page

- long LeftMargin - left margin of the page

- long RightMargin - right margin of the page

- long TopMargin - top margin of the page

- long BottomMargin - bottom margin of the page

- long HoriMargin - margin between rows of pages

- long VertMargin - margin between columns of pages

- boolean IsLandscape - determines if the output page is printed in landscape format

## ◆ printPages()

void printPages | ( | [in] sequence< com::sun::star::beans::PropertyValue > | xOptions | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

prints the pages according to the PagePrintSettings.

See also
  com::sun::star::view::PrintOptions

## ◆ setPagePrintSettings()

void setPagePrintSettings | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aSettings | ) |

adjusts the settings of the page printing.

See also
  getPagePrintSettings

The documentation for this interface was generated from the following file:

- com/sun/star/text/XPagePrintable.idl